"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
react_1.storiesOf('Components/Headline', module).addWithJSX('Basic headline', () => {
    const colors = {
        first: 'first',
        second: 'second',
        third: 'third',
        fourth: 'fourth',
        error: 'error',
        success: 'success',
        grey: 'grey',
        text: 'text'
    };
    const levels = {
        1: '1',
        2: '2',
        3: '3',
        4: '4',
        5: '5',
        6: '6'
    };
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(_1.Headline, { center: react_2.boolean('center', false), className: react_2.text('className', ''), color: react_2.select('color', colors, 'text'), level: react_2.select('level', levels, '3'), size: react_2.text('size', ''), uppercase: react_2.boolean('uppercase', false) }, react_2.text('children', 'Headline'))));
});
