"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const createState = (initState) => {
    const [state, setState] = react_1.useState(initState);
    const set = (newState) => {
        setState(Object.assign({}, state, newState));
    };
    return [state, set];
};
exports.default = createState;
